QGIS Application - Bug report #12849
QGIS crashes when using advanced digitizing and snap function
2015-05-29 04:56 AM - Andre Jesus

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 20942
Description

This erros occours in QGIS version 2.8.1 and 2.8.2

1. Add a linestring

2. Settings > Snapping Options

3. Snapping mode: Current layer / Snap to: Vertex and segment / Tolerance: 2 map units / Enable Snapping on intersection
4. Enable editing

5. Add feature

6. Enable Advanced Digitalizing tools

7. Lock distance

8. Try to snap it to any other feature

Step 8 is the critical point:
If the locked distance is shorter than the feature you want to snap to, QGIS crashes.

If the locked distance is shorter than the nearest feature, but you are not trying to snap It, nothing happens.

If the locked distance is equal or longer than the feature you want to snap to, hothing happens.

Sometimes, before the crash, a warning shows up about CAD_TOOLS, but It doesn't stick and | can't find the message.

Associated revisions

Revision cbeacb76 - 2015-06-02 09:30 PM - Matthias Kuhn

Advanced digitizing: Create new MessageBarltem for every item shown

The QgsMessageBar takes ownership

Fix #12849

Revision f7489e0f - 2015-06-02 09:30 PM - Matthias Kuhn

Advanced digitizing: Create new MessageBarltem for every item shown

The QgsMessageBar takes ownership

Fix #12849

History

#1 - 2015-05-29 05:02 AM - Giovanni Manghi
- Target version set to Future Release - High Priority

2025-04-27 12




- Priority changed from Normal to High

- Subject changed from QGIS crash when using Adv. Digitatizing and Snap function to QGIS crashes when using advanced digitizing and snap function

#2 - 2015-06-02 12:31 PM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"f7489e0f2ef085195300e185ec649882787e8695".

#3 - 2015-09-03 05:33 AM - Andre Jesus
- % Done changed from 0 to 100

Files

qgis-20150528-172154-8972-8888-1b929¢f.rar 2.71 MB

2025-04-27

2015-05-29

Andre Jesus

22



